
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hdu 4878 ZCC loves words(AC自动机+dp+矩阵快速幂+中国剩余定理) / 憋错料</title>

    <meta name="description" content="hdu 4878 ZCC loves words(AC自动机+dp+矩阵快速幂+中国剩余定理) hdu 4878 ZCC loves words(AC自动机+dp+矩阵快速幂+中国剩余定理) 题意:给出若干个模式串,总长度不超过40,对于某一个字符串,它有一个价值,对于这个价值的计算方法是这样的,设初始价值为V=1,假如这个串能匹配第k个模式串,则V=V*prime[k]*(i+len[k]),其中prime[k]表示第k个素数,i表示匹配的结束位置,len[k]表示第k个模式串的长度(注意,一个字符串可以多次匹配同意个模式串).问字符集为'A'-'Z'的字符,组成的所有的长为L的字符串,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">hdu 4878 ZCC loves words(AC自动机+dp+矩阵快速幂+中国剩余定理)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><a href="http://acm.hdu.edu.cn/showproblem.php?pid=4878" rel="external nofollow noreferrer">hdu 4878&nbsp;ZCC loves words(AC自动机&#043;dp&#043;矩阵快速幂&#043;中国剩余定理)</a></p>
<p>题意：给出若干个模式串，总长度不超过40，对于某一个字符串，它有一个价&#20540;，对于这个价&#20540;的计算方法是这样的，设初始价&#20540;为V=1,假如这个串能匹配第k个模式串，则V=V*prime[k]*(i&#043;len[k])，其中prime[k]表示第k个素数，i表示匹配的结束位置，len[k]表示第k个模式串的长度(注意，一个字符串可以多次匹配同意个模式串)。问字符集为‘A‘-‘Z‘的字符，组成的所有的长为L的字符串，能得到的总价&#20540;和是多少？</p>
<p>解法：跟以前做过的很多AC自动机的题有点类&#20284;，很容易想到一个node*L的dp,dp[i][v]表示长为i，匹配到AC自动机的V节点能得到的价&#20540;和(详见代码中的DEBUG函数)。但是L太大，没法搞。节点总数只有40，那么就可以用矩阵来加速dp了，但是很可惜，建立矩阵的时候，发现建的矩阵居然是跟i有关，这样是不能直接用矩阵快速幂做的。但是，题目给出的提示是，mod可以拆成三个较小的质数。那么我们可以分别用三个较小的质数作为mod进行运算，因为第i个矩阵，它是跟第i&#043;mod个矩阵一样的，所以我们可以把L个矩阵分成L/mod段，每一段的矩阵乘起来都是一样的，设其为A（可以暴力乘起来，因为mod很小），那么我们要的所有的L个矩阵的乘起来得到的矩阵，就是A^(L/mod)，再乘上剩下来多余的L%mod个了，这样就可以计算出在每个较小的模系下的答案。最后用中国剩余定理计算总的答案。</p>
<p>代码：</p>
<pre>#include&lt;stdio.h&gt;
#include&lt;string.h&gt;
#include&lt;algorithm&gt;
#include&lt;vector&gt;
#include&lt;queue&gt;
#define ll __int64
using namespace std ;

const int N = 44 ;
const int mod = 5047621 ;
int pri[12345] , p_num , vis[12345] ;

void get_prime () {
    p_num = 0 ;
    for ( int i = 2 ; i &lt; 12345 ; i ++ ) {
        if ( !vis[i] ) pri[++p_num] = i ;
        for ( int j = 1 ; j &lt;= p_num ; j ++ ) {
            if ( i * pri[j] &gt;= 12345 ) break ;
            vis[i*pri[j]] = 1 ;
            if ( i % pri[j] == 0 ) break ;
        }
    }
}

struct Point {
    int len , p ;
    Point () {}
    Point ( int a , int b ):len(a),p(b) {}
} ;
struct RECT {
    int elem[N][N] ;
    void print ( int n ) {
        for ( int i = 0 ; i &lt; n ; i ++ , puts ( &quot;&quot; ) )
            for ( int j = 0 ; j &lt; n ; j ++ )
                printf ( &quot;%d &quot; , elem[i][j] ) ;
    }
} p[222] , E ;
struct AC_auto {
    int dp[111][44] ;
    int c[N][26] , fail[N] , tot ;
    vector&lt;Point&gt; vec[N] ;
    queue&lt;int&gt; Q ;
    void init () {
        tot = 0 ;
        new_node () ;
    }
    int new_node () {
        vec[tot].clear () ;
        fail[tot] = 0 ;
        memset ( c[tot] , 0 , sizeof ( c[tot] ) ) ;
        return tot ++ ;
    }
    void insert ( char *s , int i ) {
        int now = 0 , len = strlen ( s ) ;
        for ( ; *s ; s ++ ) {
            int k = *s - &#039;A&#039; ;
            if ( !c[now][k] ) c[now][k] = new_node () ;
            now = c[now][k] ;
        }
        vec[now].push_back ( Point ( len , pri[i] ) ) ;
    }
    void get_fail () {
        int u = 0 , v ;
        for ( int i = 0 ; i &lt; 26 ; i ++ ) {
            if ( c[u][i] )
                Q.push ( c[u][i] ) ;
        }
        while ( !Q.empty () ) {
            u = Q.front () ; Q.pop () ;
            for ( int i = 0 ; i &lt; 26 ; i ++ ) {
                if ( c[u][i] ) {
                    v = c[u][i] ;
                    fail[v] = c[fail[u]][i] ;
                    Q.push ( v ) ;
                } else c[u][i] = c[fail[u]][i] ;
            }
        }
    }
    void BUILD_RECT ( int l , int mod ) {
        memset ( p[l].elem , 0 , sizeof ( p[l].elem ) ) ;
        for ( int i = 0 ; i &lt; tot ; i ++ ) {
            for ( int j = 0 ; j &lt; 26 ; j ++ ) {
                int u = c[i][j] ;
                int v = u , ret = 1 ;
                while ( v ) {
                    for ( int k = 0 ; k &lt; vec[v].size () ; k ++ ) {
                        Point u = vec[v][k] ;
                        ret *= (l+u.len)*u.p ;
                        ret %= mod ;
                    }
                    v = fail[v] ;
                }
                p[l].elem[u][i] += ret ;
                if ( p[l].elem[u][i] &gt;= mod )
                    p[l].elem[u][i] -= mod ;
            }
        }
    }
    void RECT_MUIL ( RECT x , RECT y , RECT &amp;z , int mod ) {
        memset ( z.elem , 0 , sizeof ( z.elem ) ) ;
        for ( int i = 0 ; i &lt; tot ; i ++ ) {
            for ( int j = 0 ; j &lt; tot ; j ++ )
                for ( int k = 0 ; k &lt; tot ; k ++ ) {
                    z.elem[i][j] += x.elem[i][k] * y.elem[k][j] % mod ;
                    if ( z.elem[i][j] &gt;= mod )
                        z.elem[i][j] -= mod ;
                }
        }
    }
    void GAO ( RECT&amp; ret , ll n , int mod ) {
  //      printf ( &quot;n = %I64d\n&quot; , n ) ;
        RECT f = ret ; ret = E ;
        while ( n ) {
            if ( n &amp; 1 ) RECT_MUIL ( ret , f , ret , mod ) ;
            RECT_MUIL ( f , f , f , mod ) ;
            n &gt;&gt;= 1 ;
        }
    }
    int SOLVE ( int mod , ll l ) {
        RECT ans = E , temp = E ;
    //    printf ( &quot;mod = %d\n&quot; , mod ) ;
        for ( int i = mod ; i &gt;= 1 ; i -- ) {
            BUILD_RECT ( i , mod ) ;
            RECT_MUIL ( temp , p[i] , temp , mod ) ;
        //    if (i == 1) ans.print ( tot ) ;
        }
   //     puts( &quot;fuck &quot;) ;
        GAO ( temp , l/mod , mod ) ;
   //     ans.print ( tot ) ;
        for ( int i = l % mod ; i &gt;= 1 ; i -- ) {
            BUILD_RECT ( i , mod ) ;
            RECT_MUIL ( ans , p[i] , ans , mod ) ;
        }
        RECT_MUIL ( ans , temp , ans , mod ) ;
    //    ans.print ( tot ) ;
        int ret = 0 ;
        for ( int i = 0 ; i &lt; tot ; i ++ ) {
            ret += ans.elem[i][0] ;
            if ( ret &gt;= mod ) ret -= mod ;
        }
        return ret ;
    }
    void DEBUG ( ll l ) {
        memset ( dp , 0 , sizeof ( dp ) ) ;
        dp[0][0] = 1 ;
        for ( int i = 0 ; i &lt; l ; i ++ ) {
            for ( int j = 0 ; j &lt; tot ; j ++ ) {
                for ( int k = 0 ; k &lt; 26 ; k ++ ) {
                    int u = c[j][k] ;
                    int v = u ;
                    int ret = 1 ;
                    while ( v ) {
                        for ( int g = 0 ; g &lt; vec[v].size () ; g ++ ) {
                            Point f = vec[v][g] ;
                            ret *= (i+1+f.len) * f.p ;
                        }
                        v = fail[v] ;
                    }
                    dp[i+1][u] += dp[i][j] * ret % mod ;
                    if ( dp[i+1][u] &gt;= mod ) dp[i+1][u] -= mod ;
                }
            }
        }
        int ans = 0 ;
        for ( int i = 0 ; i &lt; tot ; i ++ ) {
            ans += dp[l][i] ;
            if ( ans &gt;= mod ) ans -= mod ;
        }
        puts ( &quot;fuck&quot; ) ;
        printf ( &quot;%d\n&quot; , ans ) ;
    }
} ac ;

void extend_gcd ( ll a , ll b , int &amp;x , int &amp;y ) {
    if ( !b ) x = 1 , y = 0 ;
    else extend_gcd ( b , a % b , y , x ) , y -= x * ( a / b ) ;
}

char s[1111] ;
int main () {
    for ( int i = 0 ; i &lt; N ; i ++ )
        for ( int j = 0 ; j &lt; N ; j ++ )
            E.elem[i][j] = i == j ;
    get_prime () ;
    int n ; ll l ;
    int ca = 0 ;
    while ( scanf ( &quot;%d%I64d&quot; , &amp;n , &amp;l ) != EOF ) {
        ac.init () ;
        for ( int i = 1 ; i &lt;= n ; i ++ ) {
            scanf ( &quot;%s&quot; , s ) ;
            ac.insert ( s , i ) ;
        }
        ac.get_fail () ;
    //    ac.DEBUG ( l ) ;
        int m1 , mm1 , m2 , mm2 , m3 , mm3 , fuck ;//mm为m的乘法逆元
        m1 = 173 * 179 , m2 = 163 * 179 , m3 = 163 * 173 ;
        extend_gcd ( m1 , 163 , mm1 , fuck ) ;
        extend_gcd ( m2 , 173 , mm2 , fuck ) ;
        extend_gcd ( m3 , 179 , mm3 , fuck ) ;
        int a1 = ac.SOLVE ( 163 , l ) ;
    //    printf( &quot;a1 = %d\n&quot;  , a1 ) ;
        int a2 = ac.SOLVE ( 173 , l ) ;
  //      printf ( &quot;a2 = %d\n&quot; , a2 ) ;
        int a3 = ac.SOLVE ( 179 , l ) ;
 //       printf ( &quot;a3 = %d\n&quot; , a3 ) ;
        int ans = ( a1 * m1 * mm1 + a2 * m2 * mm2 + a3 * m3 * mm3 ) % 5047621 ;
        printf ( &quot;Case #%d: %d\n&quot; , ++ ca , ans ) ;
    }
    return 0 ;
}
/*
2 3
AB
BB
2 2
A
B
*/</pre>
<p><P>hdu 4878 ZCC loves words(AC自动机+dp+矩阵快速幂+中国剩余定理)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 01:52:48 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ac%e8%87%aa%e5%8a%a8%e6%9c%ba/" title="ac自动机">ac自动机</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>hdu 4878 ZCC loves words(AC自动机+dp+矩阵快速幂+中国剩余定理)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/351YJ23.html" rel="bookmark">HDU 5434 Peace small elephant 状压dp&plus;矩阵快速幂</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接: http://acm.hdu.edu.cn/showproblem.php?pid=5434 Peace small elephant Accepts: 38 Submissions: 108 Time Limit: 10000/5000 MS (Java/Others) Memory Limit: 65536/65536 K (Java/Others) 问题描述 小明很喜欢国际象棋,尤其喜欢国际象棋里面的大象(只要无阻挡能够斜着走任意格),但是他觉得国际象棋里的大象太凶残了,于是他			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RGqm73.html" rel="bookmark">HDU 3341 Lost&amp;&num;39&semi;s revenge AC自动机&plus;dp</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Lost's revenge Time Limit: 15000/5000 MS (Java/Others)    Memory Limit: 65535/65535 K (Java/Others)Total Submission(s): 3757    Accepted Submission(s): 1020 Problem Description Lost and AekdyCoin are friends. They always play &quot;number game&quot;(A bor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kZpppM.html" rel="bookmark">Hdu 3341 Lost&amp;&num;39&semi;s revenge &lpar;ac自动机&plus;dp&plus;hash&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意: 给出很多个DNA串,每一个串的价值为1,最后给出一个长串,要你重新排列最后的串使之它所有的子串的权值和最大. 思路分析: 最先容易想到的思路就是搜!管她3721..直接一个字符一个字符的码,然后在AC自动机上判断最后的权值.TLE哟. 然后发现搜过不去,那就dp咯.再容易想到的就是dp[i][a][b][c][d] 表示此时遍历AC自动机的节点在i,然后构成了a个A,b个G,c个C,d个T的权值. 再一看内存,500*40*40*40*40...然后...就没有然后了 再想,因为它说			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38woGy0.html" rel="bookmark">HDU 2294 Pendant （DP&plus;矩阵快速幂降维）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HDU 2294 Pendant (DP+矩阵快速幂降维) ACM 题目地址:HDU 2294 Pendant 题意: 土豪给妹子做首饰,他有K种珍珠,每种N个,为了炫富,他每种珍珠都要用上.问他能做几种长度[1,N]的首饰. 分析: 1 ≤ N ≤ 1,000,000,000简直可怕. 首先想dp,很明显可以想到: dp[i][j] = (k-(j-1))*dp[i-1][j-1] + j*dp[i-1][j](dp[i][j]表示长度为i的并且有j种珍珠的垂饰有多少个) 然后遇到N太大的话,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xBZ274.html" rel="bookmark">HDU5863 cjj&amp;&num;39&semi;s string game（DP &plus; 矩阵快速幂）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 Source http://acm.split.hdu.edu.cn/showproblem.php?pid=5863 Description cjj has k kinds of characters the number of which are infinite. He wants to build two strings with the characters. The lengths of the strings are both equal to n. cjj also def			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lG2JZM.html" rel="bookmark">POJ3735 Training little cats DP&comma;矩阵快速幂&comma;稀疏矩阵优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意是,n只猫,有k个动作让它们去完成,并且重复m次,动作主要有三类gi,ei,s i j,分别代表第i只猫获得一个花生,第i只猫吃掉它自己所有的花生,第i只和第j只猫交换彼此的花生.k,n不超过100,m不超过1000,000,000,计算出最后每只猫还剩下多少个花生. 我们假设一个n维向量P,每个分量的值代表这n只猫所拥有的花生数,那么对于gi操作其实就是在第i维分量上加上1:对于ei,那就是在第i维分量上乘以0,说到这里,有木有感觉这很像3D坐标转化中的平移矩阵和缩放矩阵?没错,就是这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rbL6q3.html" rel="bookmark">POJ3420 Quad Tiling DP &plus; 矩阵快速幂</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意是用1*2的骨牌堆积成4*N的矩形,一共有多少种方法,N不超过10^9. 这题和曾经在庞果网上做过的一道木块砌墙几乎一样.因为骨牌我们可以横着放,竖着放,我们假设以4为列,N为行这样去看,并且在骨牌覆盖的位置上置1,所以一共最多有16种状态.我们在第M行放骨牌的时候,第M+1行的状态也是有可能被改变的,设S(i,j)表示某一行状态为i时,将其铺满后下一行状态为j的方案书.考虑下如果我们让矩阵S和S相乘会有什么意义,考虑一下会发现S*S的意义当某行状态为i,接着其后面第2行的状态为j的可行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ra1v90.html" rel="bookmark">UVA 11651 - Krypton Number System&lpar;DP&plus;矩阵快速幂&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UVA 11651 - Krypton Number System 题目链接 题意:给一个进制base,一个分数score求该进制下,有多少数满足一下条件: 1.没有连续数字 2.没有前导零 3.分数为score,分数的计算方式为相邻数字的平方差的和 思路:先从dp入手,dp[i][j]表示组成i,最后一个数字为j的种数,然后进行状态转移,推出前面一步能构成的状态,也就是到dp[(b - 1) * (b - 1)][x]. 然后可以发现后面的状态,都可以由前面这些状态统一转移出来,这样就可以利用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPbG813.html" rel="bookmark">HDU 4549 M斐波那契数列 &lpar;  矩阵快速幂 &plus; 费马小定理  &rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HDU 4549 M斐波那契数列 (  矩阵快速幂 + 费马小定理  ) 题意:中文题,不解释 分析:最好的分析就是先推一推前几项,看看有什么规律 #include &lt;cstdio&gt; #include &lt;cstring&gt; #include &lt;algorithm&gt; using namespace std; typedef __int64 LL; #define CLR( a, b ) memset( a, b, sizeof(a) ) #define MOD 100000			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mywzmj3.html" rel="bookmark" class="title">HDU1849 Rabbit and Grass&lpar;&rpar;</a>
					<div>
						用异或看取得的值是否为0判断 思想换没搞懂 #include&lt;stdio.h&gt; int main() { int ans,n,a; while(scanf(&quot;%d&quot;,& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wr6dZ0.html" rel="bookmark" class="title">Handler消息传递机制&lpar;四&rpar;子线程接收主线程发送的消息</a>
					<div>
						package com.example.looper; import android.app.Activity; import android.os.Bundle; import android.os ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLavN0.html" rel="bookmark" class="title">VB6动态连接数据库模板</a>
					<div>
						最近接到一个任务--迁移数据库 要迁移的数据库是SQL2005数据库,有两个应用软件是与此数据库进行数据通信.由于客户端应用程序的连接数据库方式直接以绝对方式写入程序,所以此次迁移需要同时修改客户端应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bywvvM.html" rel="bookmark" class="title">bzoj2348</a>
					<div>
						实在不懂为啥网上的题解都是二分,本人没写二分,wa的很惨结果竟然是printf(&quot;%d&quot;)的锅,改了就A了 2348: [Baltic 2011]Plagiarism Time L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j5X87M.html" rel="bookmark" class="title">三种定位</a>
					<div>
						 					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWwYvaM.html" rel="bookmark" class="title">Solr查询参数</a>
					<div>
						引自:http://www.cnblogs.com/zhangweizhong/p/5056884.html 一.基本查询 q  查询的关键字,此参数最为重要,例如,q=id:1,默认为q=*:*,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lronW4.html" rel="bookmark" class="title">256位NIST素域椭圆曲线运算优化细节之一&lpar;单个素数p的加减法&rpar;</a>
					<div>
						在素域椭圆曲线运算过程中,256位加法和减法运算结果常常位于区间[0,p)之外的情形,需要做+p或是-p的运算 256位NIST素域椭圆曲线参数p的生成公式为: p = 2^256 ? 2^224 + ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8NG1M.html" rel="bookmark" class="title">委托，多播</a>
					<div>
						多播委托的时候:拿到的返回值是最后一个一个委托指向的方法的执行结果    创建委托:delegate int Adddel(int a,int b);    Adddel del=new Adddel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjXOp0.html" rel="bookmark" class="title">oc基础循环语句练习</a>
					<div>
						//if语句 int score = 80; if (score &gt; 60 ) { NSLog(@&quot;及格&quot;); }else { NSLog(@&quot;不及格&quot;) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nzgow4.html" rel="bookmark" class="title">6&period;TMG2010公网发布</a>
					<div>
						TMG单网卡,作为代理服务器使用. 适合企业已有路由器,且公网IP较少的公司使用,对于80,443等网站端口,可以使用代理模式,对多个网站进行发布. 1.操作系统安装(Win2008R2系统) 2.安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjZpY0.html" rel="bookmark" class="title">关于安全狗文件上传</a>
					<div>
						文章转载至科拉实验室,作者倾旋@科拉实验室 Part 1 分析 此文主要研究安全狗的数据包分析功能,由于很多人都认为安全狗是通过正则去匹配的,那么暂且那么说吧.这款应用层的WAF的确在测试中让人头大. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORYkK0.html" rel="bookmark" class="title">批量提取出apk文件中的classes&period;dex文件</a>
					<div>
						应用场景 如果需要批量分析apk以及每个apk文件中的classes.dex 文件.怎么提取出它们?将apk改后缀名变为.zip文件,之后在解压,提取出每个apk文件中的classes.dex文件,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A6YLdM.html" rel="bookmark" class="title">带参方法的执行：普通方法的查询，可为空方法的查询。批量处理SQL语句。</a>
					<div>
						普通方法的查询: @Override public List&lt;Map&lt;String, Object&gt;&gt; selectSpentAmount(Integer MAT_TYPE_, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNAQ94.html" rel="bookmark" class="title">scrapy爬取网易新闻内容</a>
					<div>
						最近在写毕业论文,是做个文本分类相关的题目.想抓取网易新闻里那些新闻内容作为分析的数据,于是就又照着scrapy的文档照做了一遍... 感觉主要就只是两个文件items.py和spiders文件夹下的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZpna3.html" rel="bookmark" class="title">springmvc Redirect跳转后怎么保存model中的数据</a>
					<div>
						springmvc提供的RedirectAttributesModelMap类可以实现					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDKQb0.html" rel="bookmark" class="title">设计模式之职责链模式&lpar;Chain of Responsibility&rpar;摘录</a>
					<div>
						23种GOF设计模式一般分为三大类:创建型模式.结构型模式.行为模式. 创建型模式抽象了实例化过程,它们帮助一个系统独立于怎样创建.组合和表示它的那些对象.一个类创建型模式使用继承改变被实例化的类,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyz590.html" rel="bookmark" class="title">&period;net 面试题</a>
					<div>
						1.把二元查找树转变成排序的双向链表 输入一棵二元查找树,将该二元查找树转换成一个排序的双向链表. 要求不能创建任何新的结点,只调整指针的指向.   10  / /  6  14 / / / /4   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jv8wA4.html" rel="bookmark" class="title">cdoj916-方老师的分身 III                                        【拓扑排序】</a>
					<div>
						http://acm.uestc.edu.cn/#/problem/show/916 方老师的分身 III Time Limit: 3000/1000MS (Java/Others)     Memo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWq9wl3.html" rel="bookmark" class="title">python 正则表达式 笔记</a>
					<div>
						{jpg,gif} jpg或者gif两个单词 [jpg|gif] 凡是由jpgif这几个字母组成的字符 [001-010] 数字001-010之间10个数字 $ curl -O http://cgi2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRegG4.html" rel="bookmark" class="title">总结下微服务</a>
					<div>
						1.什么是微服务架构?    微服务是指开发一个单个 小型的但有业务功能的服务,每个服务都有自己的处理和轻量通讯机制,可以部署在单个或多个服务器上. 微服务也指一种种松耦合的.有一定的有界上下文的面向 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
